For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a commission token

Receiving a commission token to withdraw an orphan transaction

Get a commission token

post
Header parameters
x-api-public-keystringOptional

Public API-key

x-api-signaturestringOptional

Signing the request body with a private API-key

Content-typestringOptional

Request content type

Example: application/json
Body
idstringRequired

Transaction ID in the system

Example: 0f7e089d-b6f2-4ee8-9acb-e4a4db16d7f5
Responses
200Success
application/json

Successful response

successbooleanRequired

Request success indicator

post/api-gateway/orphan-deposits/withdrawal-token
POST /api-gateway/orphan-deposits/withdrawal-token HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "id": "0f7e089d-b6f2-4ee8-9acb-e4a4db16d7f5"
}
200Success
{
  "success": true,
  "response": {
    "currency": "BNB",
    "network": "ethereum",
    "feeSource": "ADVANCE",
    "blockchainFee": "0.00042",
    "blockchainFeeUSD": "0.063",
    "serviceFee": "0.01",
    "serviceFeeUSD": "0.01",
    "amount": {
      "type": "string",
      "example": "0.00612",
      "description": "Transaction amount"
    },
    "amountTo": {
      "type": "string",
      "example": "0.00612",
      "description": "Transaction amount"
    },
    "price": "1.1234",
    "token": "U2FsdGVkX1/H1NUlSxKmRbjX4tOsi5QbaccPUNALN1lLrmQ3aa6CPB+8AqLWZFgQF9lv4wW+b1XeEHmAArvrfT9ELAwxuI5B3TYpHTfmHP3QoOPW99iqMxNpj/LvACrzcqKo0rF7DcxxX8qFL5Al9bRlWjs0UT4mJWFWRGwr/4iDqkXrdmb914In616JI+SqfuQQl/f9RfG3MgONbupf7w==",
    "expires": "2026-01-29T11:16:59.931Z"
  }
}

Last updated